import { encoder, decoder } from '../lib/buffer_utils.js';
export const encode = (input) => {
    let unencoded = input;
    if (typeof unencoded === 'string') {
        unencoded = encoder.encode(unencoded);
    }
    const base64string = window.btoa(String.fromCharCode.apply(0, [...unencoded]));
    return base64string.replace(/=/g, '').replace(/\+/g, '-').replace(/\//g, '_');
};
export const decode = (input) => {
    let encoded = input;
    if (encoded instanceof Uint8Array) {
        encoded = decoder.decode(encoded);
    }
    encoded = encoded.replace(/-/g, '+').replace(/_/g, '/').replace(/\s/g, '');
    return new Uint8Array(window
        .atob(encoded)
        .split('')
        .map((c) => c.charCodeAt(0)));
};
